%define name usbview
%define version 1.0
%define release 1mdk
%define url http://www.kroah.com/linux-usb/

Name: %{name}
Summary: USB topology and device viewer
Version: %{version}
Release: %{release}
Source: %{url}/%{name}-%{version}.tar.bz2
Source1: %{name}-icons.tar.bz2
Group: System/Kernel and hardware 
BuildRequires: XFree86-devel
URL: %{url}
BuildRoot: %{_tmppath}/%{name}-buildroot
Copyright: GPL
Prefix: %{_prefix}

%description
USBView is a GTK program that displays the topography of the devices that are
plugged into the USB bus on a Linux machine. It also displays information on
each of the devices. This can be useful to determine if a device is working
properly or not. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
%configure
make 

%install
mkdir -p $RPM_BUILD_ROOT/
%makeinstall

mkdir -p %buildroot/%{_iconsdir}
bzcat %{SOURCE1}|tar xf - -C %buildroot/%{_iconsdir}

mkdir -p $RPM_BUILD_ROOT/%{_libdir}/menu/
cat << EOF > $RPM_BUILD_ROOT/%{_libdir}/menu/%{name}
?package(usbview): needs="X11"  \
icon="%{name}.xpm"  section="Configuration/Hardware"  \
title="UsbView" longtitle="USB viewver"  \
command="usbview"
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING* ChangeLog INSTALL NEWS README TODO
%{_menudir}/%{name}
%{_bindir}/*
%{_iconsdir}/*.xpm
%{_iconsdir}/*/*.xpm

%changelog
* Thu Dec  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0-1mdk
- 1.0.

* Sat Dec  2 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.0-2mdk
- Add icons.

* Sun Sep 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.0-1mdk
- 0.9.0

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.8.1-3mdk
- automatically added BuildRequires

* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.1-2mdk
- BM
- more macros

* Fri Jun 30 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.8.1-1mdk
- macros everywhere.
- 0.8.1.

* Fri Jun 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.8.0-2mdk
- Add menu.

* Fri Jun 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.8.0-1mdk
- 0.8.0.
- Clean up specs.

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.5.0-3mdk
- ready for 7.1

* Wed Dec  8 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- small specs tweaks.

* Tue Dec 07 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- first specfile
